-- Load support for MT game translation.
local S = minetest.get_translator('doors')

doors.register('wood_1', {
   description = S('Wooden Door'),
})

doors.register('wood_2', {
   description = S('Wooden Door'),
})

doors.register('wood_3', {
   description = S('Wooden Door'),
})

doors.register('wood_4', {
   description = S('Wooden Door'),
})

doors.register('wood_5', {
   description = S('Wooden Door'),
})

doors.register('wood_6', {
   description = S('Wooden Screen Door'),
})

doors.register('wood_7', {
   description = ('Fancy Wooden Door')
})

doors.register('wood_8', {
   description = ('Fancy Wooden Door')
})

doors.register('wood_9', {
   description = ('Fancy Wooden Door')
})

doors.register('wood_10', {
   description = ('Wooden Door')
})

doors.register('interior_1', {
   description = S('White Interior Door'),
})

doors.register('steel_1', {
   description = S('Steel Door'),
   sound_open = 'doors_steel_door_open',
   sound_close = 'doors_steel_door_close',
})

doors.register('steel_2', {
   description = S('Steel Door'),
   sound_open = 'doors_steel_door_open',
   sound_close = 'doors_steel_door_close',
})

doors.register('steel_3', {
   description = S('Steel Bar Door'),
   sound_open = 'doors_steel_door_open',
   sound_close = 'doors_steel_door_close',
})

doors.register('steel_4', {
   description = S('Rusty Steel Bar Door'),
   sound_open = 'doors_steel_door_open',
   sound_close = 'doors_steel_door_close',
})

doors.register('glass_1', {
   description = S('Glass Door'),
   sound_open = 'doors_glass_door_open',
   sound_close = 'doors_glass_door_close',
})

doors.register('obsidian_glass_1', {
   description = S('Obsidian Glass Door'),
   sound_open = 'doors_glass_door_open',
   sound_close = 'doors_glass_door_close',
})
